Name: libcdbxx
Version: 0.0.1
Release: alt5.1

Summary: C++ bindings for tinycdb library
License: LGPL
Group: System/Libraries

%define real_name cdbxx

Source: %real_name-%{version}rc2.tar.bz2

# Automatically added by buildreq on Thu Mar 25 2004 (-bi)
BuildRequires: gcc-c++ libcdb-devel libstdc++-devel

Conflicts: osec <= 0.0.1-alt7

%description
C++ bindings for tinycdb library

%package devel
Summary: Development part of %name
Group: Development/C++
Requires: %name = %version-%release
Requires: libcdb-devel

%description devel
Contents header files and development libraries for %name

%package devel-static
Summary: Static libraries for %name
Group: Development/C++
Requires: %name-devel = %version-%release

%description devel-static
Contents static libraries for %name

%prep
%setup -q -n %real_name-%{version}rc2

%build
%make_build

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
#_doc ChangeLog
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.0.1-alt5.1
- Rebuilt with libstdc++.so.6.

* Tue Oct 12 2004 Stanislav Ievlev <inger@altlinux.org> 0.0.1-alt5
- rc2: allow to work with empty databases, added std::map like interface

* Tue Aug 10 2004 Stanislav Ievlev <inger@altlinux.org> 0.0.1-alt4
- rc1: minor bugfixes in assertions, ready for Intel compiller

* Thu Apr 22 2004 Stanislav Ievlev <inger@altlinux.org> 0.0.1-alt3
- use pointers in objects instead of structs

* Tue Mar 30 2004 Stanislav Ievlev <inger@altlinux.org> 0.0.1-alt2
- update from CVS

* Thu Mar 25 2004 Stanislav Ievlev <inger@altlinux.org> 0.0.1-alt1
- Initial
